--- src/sage/combinat/root_system/ambient_space.py.orig	2018-08-03 05:10:08.000000000 -0600
+++ src/sage/combinat/root_system/ambient_space.py	2018-10-17 14:00:35.461518303 -0600
@@ -143,7 +143,7 @@ class AmbientSpace(CombinatorialFreeModu
 
     @classmethod
     def smallest_base_ring(cls, cartan_type=None):
-        """
+        r"""
         Return the smallest ground ring over which the ambient space can be realized.
 
         This class method will get called with the Cartan type as
@@ -263,7 +263,7 @@ class AmbientSpace(CombinatorialFreeModu
 
     @cached_method
     def fundamental_weight(self, i):
-        """
+        r"""
         Returns the fundamental weight `\Lambda_i` in ``self``
 
         In several of the ambient spaces, it is more convenient to
--- src/sage/combinat/root_system/cartan_type.py.orig	2018-08-03 05:10:08.000000000 -0600
+++ src/sage/combinat/root_system/cartan_type.py	2018-10-17 14:01:03.710154470 -0600
@@ -1506,7 +1506,7 @@ class CartanType_abstract(object):
         return CartanTypeFolded(self, folding_of, sigma)
 
     def _default_folded_cartan_type(self):
-        """
+        r"""
         Return the default folded Cartan type.
 
         In general, this just returns ``self`` in ``self`` with `\sigma` as
@@ -2540,7 +2540,7 @@ class CartanType_standard_finite(CartanT
     # mathematical methods
 
     def index_set(self):
-        """
+        r"""
         Implements :meth:`CartanType_abstract.index_set`.
 
         The index set for all standard finite Cartan types is of the form
--- src/sage/combinat/root_system/hecke_algebra_representation.py.orig	2018-08-03 05:10:08.000000000 -0600
+++ src/sage/combinat/root_system/hecke_algebra_representation.py	2018-10-16 14:17:11.462053939 -0600
@@ -801,7 +801,7 @@ class CherednikOperatorsEigenvectors(Uni
         classical operators `T_1, \ldots, T_n` from `T` and `T_Y` coincide.
     """
     def __init__(self, T, T_Y = None, normalized = True):
-        """
+        r"""
         INPUT:
 
         - ``T`` -- a family `(T_i)_{i\in I}` implementing the action of
@@ -947,7 +947,7 @@ class CherednikOperatorsEigenvectors(Uni
 
     @abstract_method
     def affine_retract(self, mu):
-        """
+        r"""
         Retract `\mu` from a space admitting an action of the affine Weyl group.
 
         EXAMPLES::
--- src/sage/combinat/root_system/integrable_representations.py.orig	2018-08-03 05:10:08.000000000 -0600
+++ src/sage/combinat/root_system/integrable_representations.py	2018-10-16 14:18:12.038298483 -0600
@@ -264,7 +264,7 @@ class IntegrableRepresentation(UniqueRep
 
     @cached_method
     def level(self):
-        """
+        r"""
         Return the level of ``self``.
 
         The level of a highest weight representation `V_{\Lambda}` is
@@ -325,7 +325,7 @@ class IntegrableRepresentation(UniqueRep
         return "Integrable representation of %s with highest weight %s"%(self._cartan_type, self._Lam)
 
     def _latex_(self):
-        """
+        r"""
         Return a latex representation of ``self``.
 
         EXAMPLES::
@@ -892,7 +892,7 @@ class IntegrableRepresentation(UniqueRep
         return tuple(ret)
 
     def string(self, max_weight, depth=12):
-        """
+        r"""
         Return the list of multiplicities `m(\Lambda - k \delta)` in
         ``self``, where `\Lambda` is ``max_weight`` and `k` runs from `0`
         to ``depth``.
--- src/sage/combinat/root_system/reflection_group_complex.py.orig	2018-08-03 05:10:08.000000000 -0600
+++ src/sage/combinat/root_system/reflection_group_complex.py	2018-10-17 14:01:55.813483394 -0600
@@ -1423,8 +1423,8 @@ class ComplexReflectionGroup(UniqueRepre
         x = P.gens()
         for i in range(len(I)):
             I[i] = I[i].replace('^','**')
-            I[i] = re.compile('E(\d\d*)').sub(r'E(\1)', I[i])
-            I[i] = re.compile('(\d)E\(').sub(r'\1*E(', I[i])
+            I[i] = re.compile(r'E(\d\d*)').sub(r'E(\1)', I[i])
+            I[i] = re.compile(r'(\d)E\(').sub(r'\1*E(', I[i])
             for j in range(len(x)):
                 I[i] = I[i].replace('x%s'%j,'*x[%s]'%j)
             I[i] = I[i].replace("+*","+").replace("-*","-").replace("ER(5)","*(E(5)-E(5)**2-E(5)**3+E(5)**4)").lstrip("*")
--- src/sage/combinat/root_system/root_lattice_realization_algebras.py.orig	2018-08-03 05:10:08.000000000 -0600
+++ src/sage/combinat/root_system/root_lattice_realization_algebras.py	2018-10-16 14:19:44.357147158 -0600
@@ -872,7 +872,7 @@ class Algebras(AlgebrasCategory):
             return self.basis().keys().classical().algebra(self.base_ring())
 
         def q_project_on_basis(self, l, q):
-            """
+            r"""
             Return the monomial `c * cl(l)`  in the group algebra of the classical lattice.
 
             INPUT:
@@ -900,7 +900,7 @@ class Algebras(AlgebrasCategory):
             return KL0.term(L0(l), q**l["delta"])
 
         def q_project(self, x, q):
-            """
+            r"""
             Implement the `q`-projection morphism from ``self`` to the group algebra of the classical space.
 
             INPUT:
--- src/sage/combinat/root_system/root_lattice_realizations.py.orig	2018-08-03 05:10:08.000000000 -0600
+++ src/sage/combinat/root_system/root_lattice_realizations.py	2018-10-17 14:02:38.772930091 -0600
@@ -1215,7 +1215,7 @@ class RootLatticeRealizations(Category_o
             return self.root_system.coroot_lattice()
 
         def coroot_space(self, base_ring = QQ):
-            """
+            r"""
             Returns the coroot space over ``base_ring``
 
             INPUT:
@@ -1497,7 +1497,7 @@ class RootLatticeRealizations(Category_o
 
         @cached_method
         def simple_reflections(self):
-            """
+            r"""
             Returns the family `(s_i)_{i\in I}` of the simple reflections
             of this root system.
 
--- src/sage/combinat/root_system/type_A_affine.py.orig	2018-08-03 05:10:08.000000000 -0600
+++ src/sage/combinat/root_system/type_A_affine.py	2018-10-16 14:18:44.476893935 -0600
@@ -205,7 +205,7 @@ class CartanType(CartanType_standard_unt
         return self
 
     def _default_folded_cartan_type(self):
-        """
+        r"""
         Return the default folded Cartan type.
 
         In general, this just returns ``self`` in ``self`` with `\sigma` as
--- src/sage/combinat/root_system/type_A_infinity.py.orig	2018-08-03 05:10:08.000000000 -0600
+++ src/sage/combinat/root_system/type_A_infinity.py	2018-10-16 14:20:50.068327656 -0600
@@ -77,7 +77,7 @@ class CartanType(CartanType_standard, Ca
         return ret % (self.letter, 'ZZ' if self.n == ZZ else 'NN')
 
     def _latex_(self):
-        """
+        r"""
         Return a latex representation of ``self``.
 
         EXAMPLES::
@@ -225,7 +225,7 @@ class CartanType(CartanType_standard, Ca
         return self.letter
 
     def index_set(self):
-        """
+        r"""
         Return the index set for the Cartan type ``self``.
 
         The index set for all standard finite Cartan types is of the form
--- src/sage/combinat/root_system/type_dual.py.orig	2018-08-03 05:10:08.000000000 -0600
+++ src/sage/combinat/root_system/type_dual.py	2018-10-16 14:21:28.323850557 -0600
@@ -654,7 +654,7 @@ class CartanType_affine(CartanType, cart
                 return "E_6^{(2)}"
         result = self._type._latex_()
         import re
-        if re.match(".*\^{\(\d\)}$", result):
+        if re.match(r".*\^{\(\d\)}$", result):
             return "%s%s}"%(result[:-1], self.options('dual_latex'))
         else:
             return "{%s}^%s"%(result, self.options('dual_latex'))
--- src/sage/combinat/root_system/type_folded.py.orig	2018-08-03 05:10:08.000000000 -0600
+++ src/sage/combinat/root_system/type_folded.py	2018-10-16 14:21:45.531635948 -0600
@@ -252,7 +252,7 @@ class CartanTypeFolded(UniqueRepresentat
 
     @cached_method
     def folding_orbit(self):
-        """
+        r"""
         Return the orbits under the automorphism `\sigma` as a
         dictionary (of tuples).
 
--- src/sage/combinat/root_system/type_reducible.py.orig	2018-08-03 05:10:08.000000000 -0600
+++ src/sage/combinat/root_system/type_reducible.py	2018-10-16 14:22:13.162291360 -0600
@@ -234,7 +234,7 @@ class CartanType(SageObject, CartanType_
 
     @cached_method
     def index_set(self):
-        """
+        r"""
         Implements :meth:`CartanType_abstract.index_set`.
 
         For the moment, the index set is always of the form `\{1, \ldots, n\}`.
--- src/sage/combinat/root_system/type_super_A.py.orig	2018-08-03 05:10:08.000000000 -0600
+++ src/sage/combinat/root_system/type_super_A.py	2018-10-16 14:20:09.819829604 -0600
@@ -236,7 +236,7 @@ class AmbientSpace(ambient_space.Ambient
                 for j in range(1, ct.n + 2)]
 
     def fundamental_weight(self, i):
-        """
+        r"""
         Return the fundamental weight `\Lambda_i` of ``self``.
 
         EXAMPLES::
--- src/sage/combinat/root_system/weight_lattice_realizations.py.orig	2018-08-03 05:10:08.000000000 -0600
+++ src/sage/combinat/root_system/weight_lattice_realizations.py	2018-10-17 14:03:27.043308391 -0600
@@ -129,7 +129,7 @@ class WeightLatticeRealizations(Category
 
         @abstract_method
         def fundamental_weight(self, i):
-            """
+            r"""
             Returns the `i^{th}` fundamental weight
 
             INPUT:
@@ -188,7 +188,7 @@ class WeightLatticeRealizations(Category
           return False
 
         def __init_extra__(self):
-            """
+            r"""
             Registers the embedding of the weight lattice into ``self``
 
             Also registers the embedding of the weight space over the same
@@ -511,7 +511,7 @@ class WeightLatticeRealizations(Category
             return f(self.rho()).reduced_word()
 
         def dynkin_diagram_automorphism_of_alcove_morphism(self, f):
-            """
+            r"""
             Returns the Dynkin diagram automorphism induced by an alcove morphism
 
             INPUT:
@@ -582,7 +582,7 @@ class WeightLatticeRealizations(Category
             return permutation
 
         def reduced_word_of_translation(self, t):
-            """
+            r"""
             Given an element of the root lattice, this returns a reduced
             word `i_1,...,i_k` such that the Weyl group element `s_{i_1}
             \circ \dots \circ s_{i_k}` implements the "translation"
--- src/sage/combinat/root_system/weight_space.py.orig	2018-08-03 05:10:08.000000000 -0600
+++ src/sage/combinat/root_system/weight_space.py	2018-10-17 14:03:57.826911909 -0600
@@ -238,7 +238,7 @@ class WeightSpace(CombinatorialFreeModul
 
     @cached_method
     def fundamental_weight(self, i):
-        """
+        r"""
         Returns the `i`-th fundamental weight
 
         INPUT:
@@ -304,7 +304,7 @@ class WeightSpace(CombinatorialFreeModul
 
     @cached_method
     def simple_root(self, j):
-        """
+        r"""
         Returns the `j^{th}` simple root
 
         EXAMPLES::
--- src/sage/combinat/root_system/weyl_characters.py.orig	2018-08-03 05:10:08.000000000 -0600
+++ src/sage/combinat/root_system/weyl_characters.py	2018-10-17 14:04:53.411195998 -0600
@@ -22,7 +22,7 @@ from sage.rings.all import ZZ
 
 
 class WeylCharacterRing(CombinatorialFreeModule):
-    """
+    r"""
     A class for rings of Weyl characters.
 
     Let `K` be a compact Lie group, which we assume is semisimple and
@@ -1343,7 +1343,7 @@ class WeylCharacterRing(CombinatorialFre
             return self.parent().char_from_weights(d)
 
         def frobenius_schur_indicator(self):
-            """
+            r"""
             Return:
 
             - `1` if the representation is real (orthogonal)
@@ -1459,7 +1459,7 @@ class WeylCharacterRing(CombinatorialFre
             return self.coefficient(other.support()[0])
 
 def irreducible_character_freudenthal(hwv, debug=False):
-    """
+    r"""
     Return the dictionary of multiplicities for the irreducible
     character with highest weight `\lambda`.
 
@@ -1907,7 +1907,7 @@ class WeightRing(CombinatorialFreeModule
             return self.parent()._from_dict(d2)
 
         def shift(self, mu):
-            """
+            r"""
             Add `\mu` to any weight. Extended by linearity to the weight ring.
 
             INPUT:
--- src/sage/combinat/sf/character.py.orig	2018-08-03 05:10:08.000000000 -0600
+++ src/sage/combinat/sf/character.py	2018-10-16 14:23:10.610574904 -0600
@@ -8,7 +8,7 @@ of `S_n` when the group is realized as t
 
 REFERENCES:
 
-.. [OZ2015] \R. Orellana, M. Zabrocki, *Symmetric group characters
+.. [OZ2015] \\R. Orellana, M. Zabrocki, *Symmetric group characters
    as symmetric functions*, :arxiv:`1510.00438`.
 """
 
--- src/sage/combinat/sf/homogeneous.py.orig	2018-08-03 05:10:08.000000000 -0600
+++ src/sage/combinat/sf/homogeneous.py	2018-10-17 14:05:17.577884739 -0600
@@ -1,4 +1,4 @@
-"""
+r"""
 Homogeneous symmetric functions
 
 By this we mean the basis formed of the complete homogeneous
--- src/sage/combinat/sf/multiplicative.py.orig	2018-08-03 05:10:08.000000000 -0600
+++ src/sage/combinat/sf/multiplicative.py	2018-10-17 14:05:55.929390781 -0600
@@ -1,4 +1,4 @@
-"""
+r"""
 Multiplicative symmetric functions
 
 A realization `h` of the ring of symmetric functions is multiplicative if for
@@ -24,7 +24,7 @@ from . import classical
 import sage.combinat.partition
 
 class SymmetricFunctionAlgebra_multiplicative(classical.SymmetricFunctionAlgebra_classical):
-    """
+    r"""
     The class of multiplicative bases of the ring of symmetric functions.
 
     A realization `q` of the ring of symmetric functions is multiplicative if
--- src/sage/combinat/sf/new_kschur.py.orig	2018-08-03 05:10:08.000000000 -0600
+++ src/sage/combinat/sf/new_kschur.py	2018-10-16 14:23:49.225093338 -0600
@@ -859,7 +859,7 @@ class KBoundedSubspaceBases(Category_rea
 
 
 class kSchur(CombinatorialFreeModule):
-    """
+    r"""
     Space of `k`-Schur functions.
 
     EXAMPLES::
--- src/sage/combinat/sf/orthotriang.py.orig	2018-08-03 05:10:08.000000000 -0600
+++ src/sage/combinat/sf/orthotriang.py	2018-10-17 14:06:23.633033965 -0600
@@ -187,7 +187,7 @@ class SymmetricFunctionAlgebra_orthotria
                               self._base_to_self_cache, to_other_function = self._to_base)
 
     def _to_base(self, part):
-        """
+        r"""
         Returns a function which takes in a partition `\mu` and returns the
         coefficient of a partition in the expansion of ``self`` `(part)` in base.
 
--- src/sage/combinat/sf/schur.py.orig	2018-08-03 05:10:08.000000000 -0600
+++ src/sage/combinat/sf/schur.py	2018-10-17 14:06:41.304806359 -0600
@@ -271,7 +271,7 @@ class SymmetricFunctionAlgebra_schur(cla
         omega_involution = omega
 
         def scalar(self, x, zee=None):
-            """
+            r"""
             Return the standard scalar product between ``self`` and `x`.
 
             Note that the Schur functions are self-dual with respect to this
--- src/sage/combinat/sf/sf.py.orig	2018-08-03 05:10:08.000000000 -0600
+++ src/sage/combinat/sf/sf.py	2018-10-17 14:06:58.985578637 -0600
@@ -1370,7 +1370,7 @@ class SymmetricFunctions(UniqueRepresent
         return self.m().from_polynomial(f)
 
     def register_isomorphism(self, morphism, only_conversion=False):
-        """
+        r"""
         Register an isomorphism between two bases of ``self``, as a canonical coercion
         (unless the optional keyword ``only_conversion`` is set to ``True``,
         in which case the isomorphism is registered as conversion only).
--- src/sage/combinat/species/combinatorial_logarithm.py.orig	2018-08-03 05:10:08.000000000 -0600
+++ src/sage/combinat/species/combinatorial_logarithm.py	2018-10-16 14:24:12.017809085 -0600
@@ -1,4 +1,4 @@
-"""
+r"""
 Combinatorial Logarithm
 
 This file provides the cycle index series for the virtual species `\Omega`,
--- src/sage/combinat/species/generating_series.py.orig	2018-08-03 05:10:08.000000000 -0600
+++ src/sage/combinat/species/generating_series.py	2018-10-17 14:08:27.232442046 -0600
@@ -586,7 +586,7 @@ class CycleIndexSeries(LazyPowerSeries):
             yield self.coefficient(i).coefficient([1]*i)
 
     def __invert__(self):
-        """
+        r"""
         Return the multiplicative inverse of ``self``.
 
         This algorithm is derived from [BLL]_.
@@ -740,7 +740,7 @@ class CycleIndexSeries(LazyPowerSeries):
             [0, 1, 3, 8, 42, 144, 1440, 5760]
 
         It is shown in [MM]_ that the exponential generating function for regular octopuses satisfies
-        `(C \\boxdot L_{+}) (x) = \\sum_{n \geq 1} \\sigma (n) (n - 1)! \\frac{x^{n}}{n!}` (where `\\sigma (n)` is
+        `(C \\boxdot L_{+}) (x) = \\sum_{n \\geq 1} \\sigma (n) (n - 1)! \\frac{x^{n}}{n!}` (where `\\sigma (n)` is
         the sum of the divisors of `n`). ::
 
             sage: RegOctDirectSeq = [0] + [sum(divisors(i))*factorial(i-1) for i in range(1,8)]
@@ -753,7 +753,7 @@ class CycleIndexSeries(LazyPowerSeries):
 
         REFERENCES:
 
-        .. [MM] \M. Maia and M. Mendez. "On the arithmetic product of combinatorial species".
+        .. [MM] \\M. Maia and M. Mendez. "On the arithmetic product of combinatorial species".
            Discrete Mathematics, vol. 308, issue 23, 2008, pp. 5407-5427.
            :arXiv:`math/0503436v2`.
 
@@ -1291,7 +1291,7 @@ def ExponentialCycleIndexSeries(R = Rati
 
 @cached_function
 def _cl_term(n, R = RationalField()):
-    """
+    r"""
     Compute the order-n term of the cycle index series of the virtual species `\Omega`,
     the compositional inverse of the species `E^{+}` of nonempty sets.
 
@@ -1315,7 +1315,7 @@ def _cl_term(n, R = RationalField()):
     return res
 
 def _cl_gen (R = RationalField()):
-    """
+    r"""
     Produce a generator which yields the terms of the cycle index series of the virtual species
     `\Omega`, the compositional inverse of the species `E^{+}` of nonempty sets.
 
@@ -1330,7 +1330,7 @@ def _cl_gen (R = RationalField()):
 
 @cached_function
 def LogarithmCycleIndexSeries(R = RationalField()):
-    """
+    r"""
     Return the cycle index series of the virtual species `\Omega`, the compositional inverse
     of the species `E^{+}` of nonempty sets.
 
--- src/sage/combinat/species/library.py.orig	2018-08-03 05:10:08.000000000 -0600
+++ src/sage/combinat/species/library.py	2018-10-17 14:08:48.023174267 -0600
@@ -73,7 +73,7 @@ def SimpleGraphSpecies():
 
 @cached_function
 def BinaryTreeSpecies():
-    """
+    r"""
     Returns the species of binary trees on n leaves. The species of
     binary trees B is defined by B = X + B\*B where X is the singleton
     species.
--- src/sage/combinat/species/series.py.orig	2018-08-03 05:10:08.000000000 -0600
+++ src/sage/combinat/species/series.py	2018-10-17 14:09:10.383886267 -0600
@@ -1128,7 +1128,7 @@ class LazyPowerSeries(AlgebraElement):
     times = _mul_
 
     def _times_gen(self, y, ao):
-        """
+        r"""
         Returns an iterator for the coefficients of self \* y.
 
         EXAMPLES::
--- src/sage/combinat/species/species.py.orig	2018-08-03 05:10:08.000000000 -0600
+++ src/sage/combinat/species/species.py	2018-10-17 14:09:28.222656513 -0600
@@ -178,7 +178,7 @@ class GenericCombinatorialSpecies(SageOb
         return not (self == other)
     
     def __getstate__(self):
-        """
+        r"""
         This is used during the pickling process and returns a dictionary
         of the data needed to create this object during the unpickling
         process. It returns an (\*args, \*\*kwds) tuple which is to be
--- src/sage/combinat/species/structure.py.orig	2018-08-03 05:10:08.000000000 -0600
+++ src/sage/combinat/species/structure.py	2018-10-17 14:09:47.503408187 -0600
@@ -1,4 +1,4 @@
-"""
+r"""
 Species structures
 
 We will illustrate the use of the structure classes using the
--- src/sage/combinat/words/finite_word.py.orig	2018-08-03 05:10:08.000000000 -0600
+++ src/sage/combinat/words/finite_word.py	2018-10-17 14:10:12.977080094 -0600
@@ -632,7 +632,7 @@ class FiniteWord_class(Word_class):
         return True
 
     def schuetzenberger_involution(self, n = None):
-        """
+        r"""
         Return the Schützenberger involution of the word ``self``, which is obtained
         by reverting the word and then complementing all letters within the
         underlying ordered alphabet. If ``n`` is specified, the underlying
--- src/sage/combinat/words/morphism.py.orig	2018-08-03 05:10:08.000000000 -0600
+++ src/sage/combinat/words/morphism.py	2018-10-17 14:10:57.783503003 -0600
@@ -888,7 +888,7 @@ class WordMorphism(SageObject):
             for a in A:
                 lines.append(r"%s \mapsto %s"% (a, self.image(a)))
             s += '\\\\\n'.join(lines)
-            s += '\n' + "\end{array}"
+            s += '\n' + r"\end{array}"
             return LatexExpr(s)
         else:
             raise ValueError('unknown latex_layout(=%s)' % latex_layout)
--- src/sage/combinat/words/word_generators.py.orig	2018-08-03 05:10:08.000000000 -0600
+++ src/sage/combinat/words/word_generators.py	2018-10-17 14:11:14.926282211 -0600
@@ -1359,7 +1359,7 @@ class WordGenerator(object):
         return W(w)
 
     def RandomWord(self, n, m=2, alphabet=None):
-        """
+        r"""
         Returns a random word of length `n` over the given `m`-letter
         alphabet.
 
--- src/sage/crypto/mq/sr.py.orig	2018-08-03 05:10:08.000000000 -0600
+++ src/sage/crypto/mq/sr.py	2018-10-16 14:31:58.645989660 -0600
@@ -1080,7 +1080,7 @@ class SR_generic(MPolynomialSystemGenera
         return random_matrix(self.base_ring(), self._r, self._c, *args, **kwds)
 
     def random_vector(self, *args, **kwds):
-        """
+        r"""
         Return a random vector as it might appear in the algebraic
         expression of self.
 
@@ -1534,7 +1534,7 @@ class SR_generic(MPolynomialSystemGenera
 
 
     def varformatstr(self, name, n=None, rc=None, e=None):
-        """
+        r"""
         Return a format string which is understood by print et al.
 
         If a numerical value is omitted, the default value of ``self``
@@ -1913,7 +1913,7 @@ class SR_generic(MPolynomialSystemGenera
             return tuple(lin + sbox)
 
     def key_schedule_polynomials(self, i):
-        """
+        r"""
         Return polynomials for the `i`-th round of the key
         schedule.
 
@@ -2251,7 +2251,7 @@ class SR_gf2n(SR_generic):
             raise TypeError
 
     def antiphi(self, l):
-        """
+        r"""
         The operation `\phi^{-1}` from [MR2002]_ or the inverse of ``self.phi``.
 
         INPUT:
@@ -2472,7 +2472,7 @@ class SR_gf2n(SR_generic):
         return [xi[j, 0]*wi[j, 0] + 1 for j in range(length)]
 
     def field_polynomials(self, name, i, l=None):
-        """
+        r"""
         Return list of conjugacy polynomials for a given round ``i``
         and name ``name``.
 
@@ -2657,7 +2657,7 @@ class SR_gf2(SR_generic):
         else: raise TypeError
 
     def antiphi(self, l):
-        """
+        r"""
         The operation `\phi^{-1}` from [MR2002]_ or the inverse of ``self.phi``.
 
         INPUT:
@@ -3197,7 +3197,7 @@ class SR_gf2(SR_generic):
         return l
 
     def field_polynomials(self, name, i, l=None):
-        """
+        r"""
         Return list of field polynomials for a given round ``i`` and
         name ``name``.
 
--- src/sage/doctest/parsing.py.orig	2018-08-03 05:10:08.000000000 -0600
+++ src/sage/doctest/parsing.py	2018-10-16 14:33:57.099513779 -0600
@@ -38,7 +38,7 @@ from functools import reduce
 
 from .external import available_software
 
-float_regex = re.compile('\s*([+-]?\s*((\d*\.?\d+)|(\d+\.?))([eE][+-]?\d+)?)')
+float_regex = re.compile(r'\s*([+-]?\s*((\d*\.?\d+)|(\d+\.?))([eE][+-]?\d+)?)')
 optional_regex = re.compile(r'(py2|py3|long time|not implemented|not tested|known bug)|([^ a-z]\s*optional\s*[:-]*((\s|\w)*))')
 find_sage_prompt = re.compile(r"^(\s*)sage: ", re.M)
 find_sage_continuation = re.compile(r"^(\s*)\.\.\.\.:", re.M)
--- src/sage/doctest/sources.py.orig	2018-08-03 05:10:08.000000000 -0600
+++ src/sage/doctest/sources.py	2018-10-16 14:33:31.291835104 -0600
@@ -36,7 +36,7 @@ from sage.structure.dynamic_class import
 from sage.env import SAGE_SRC, SAGE_LOCAL
 
 # Python file parsing
-triple_quotes = re.compile("\s*[rRuU]*((''')|(\"\"\"))")
+triple_quotes = re.compile("\\s*[rRuU]*((''')|(\"\"\"))")
 name_regex = re.compile(r".*\s(\w+)([(].*)?:")
 
 # LaTeX file parsing
@@ -50,7 +50,7 @@ skip = re.compile(r".*%skip.*")
 link_all = re.compile(r"^\s*\.\.\s+linkall\s*$")
 double_colon = re.compile(r"^(\s*).*::\s*$")
 
-whitespace = re.compile("\s*")
+whitespace = re.compile("\\s*")
 bitness_marker = re.compile('#.*(32|64)-bit')
 bitness_value = '64' if sys.maxsize > (1 << 32) else '32'
 
--- src/sage/functions/error.py.orig	2018-08-03 05:10:08.000000000 -0600
+++ src/sage/functions/error.py	2018-10-17 14:17:56.353108811 -0600
@@ -293,7 +293,7 @@ class Function_erf(BuiltinFunction):
 erf = Function_erf()
 
 class Function_erfi(BuiltinFunction):
-    """
+    r"""
     The imaginary error function.
 
     The imaginary error function is defined by
@@ -465,7 +465,7 @@ erfc = Function_erfc()
 
 
 class Function_erfinv(BuiltinFunction):
-    """
+    r"""
     The inverse error function.
 
     The inverse error function is defined by:
--- src/sage/functions/exp_integral.py.orig	2018-08-03 05:10:08.000000000 -0600
+++ src/sage/functions/exp_integral.py	2018-10-17 14:18:40.105544699 -0600
@@ -643,7 +643,7 @@ class Function_log_integral_offset(Built
         return mpmath_utils_call(mpmath.li, z, offset=True, parent=parent)
 
     def _derivative_(self, z, diff_param=None):
-        """
+        r"""
         The derivative of `\operatorname{Li}(z) is `1/log(z)`.
 
         EXAMPLES::
@@ -800,7 +800,7 @@ class Function_sin_integral(BuiltinFunct
             return z
 
     def _evalf_(self, z, parent=None, algorithm=None):
-        """
+        r"""
         EXAMPLES:
 
         The limit `\operatorname{Si}(z)` as `z \to \infty`  is `\pi/2`::
@@ -1248,7 +1248,7 @@ class Function_cosh_integral(BuiltinFunc
         return mpmath_utils_call(mpmath.chi, z, parent=parent)
 
     def _derivative_(self, z, diff_param=None):
-        """
+        r"""
         The derivative of `\operatorname{Chi}(z)` is `\cosh(z)/z`.
 
         EXAMPLES::
--- src/sage/functions/generalized.py.orig	2018-08-03 05:10:08.000000000 -0600
+++ src/sage/functions/generalized.py	2018-10-17 14:19:00.728278808 -0600
@@ -629,7 +629,7 @@ class FunctionKroneckerDelta(BuiltinFunc
         return 0
 
     def _print_latex_(self, m, n, **kwds):
-        """
+        r"""
         Return latex expression
 
         EXAMPLES::
--- src/sage/functions/hypergeometric.py.orig	2018-08-03 05:10:08.000000000 -0600
+++ src/sage/functions/hypergeometric.py	2018-10-17 14:19:28.326922969 -0600
@@ -956,7 +956,7 @@ class Hypergeometric_M(BuiltinFunction):
         1/2*sqrt(pi)*erf(1)*e
     """
     def __init__(self):
-        """
+        r"""
         TESTS::
         
             sage: maxima(hypergeometric_M(1,1,x))
@@ -1067,7 +1067,7 @@ class Hypergeometric_U(BuiltinFunction):
 
     """
     def __init__(self):
-        """
+        r"""
         TESTS::
         
             sage: maxima(hypergeometric_U(1,1,x))
--- src/sage/functions/log.py.orig	2018-08-03 05:10:08.000000000 -0600
+++ src/sage/functions/log.py	2018-10-17 14:19:54.168589789 -0600
@@ -871,7 +871,7 @@ class Function_lambert_w(BuiltinFunction
             return mpmath_utils.call(mpmath.lambertw, z, n, parent=R)
 
     def _derivative_(self, n, z, diff_param=None):
-        """
+        r"""
         The derivative of `W_n(x)` is `W_n(x)/(x \cdot W_n(x) + x)`.
 
         EXAMPLES::
@@ -945,7 +945,7 @@ class Function_lambert_w(BuiltinFunction
             return "lambert_w(%s, %s)" % (n, z)
 
     def _print_latex_(self, n, z):
-        """
+        r"""
         Custom _print_latex_ method to avoid printing the branch
         number if it is zero.
 
--- src/sage/functions/min_max.py.orig	2018-08-03 05:10:08.000000000 -0600
+++ src/sage/functions/min_max.py	2018-10-17 14:20:37.478031389 -0600
@@ -193,7 +193,7 @@ class MaxSymbolic(MinMax_base):
             sage: max_symbolic(x, 5)._sympy_()
             Max(5, x)
         """
-        BuiltinFunction.__init__(self, 'max', nargs=0, latex_name="\max",
+        BuiltinFunction.__init__(self, 'max', nargs=0, latex_name=r"\max",
                                  conversions=dict(sympy='Max'))
 
     def _eval_(self, *args):
@@ -282,7 +282,7 @@ class MinSymbolic(MinMax_base):
             sage: min_symbolic(x, 5)._sympy_()
             Min(5, x)
         """
-        BuiltinFunction.__init__(self, 'min', nargs=0, latex_name="\min",
+        BuiltinFunction.__init__(self, 'min', nargs=0, latex_name=r"\min",
                                  conversions=dict(sympy='Min'))
 
     def _eval_(self, *args):
--- src/sage/functions/piecewise.py.orig	2018-08-03 05:10:08.000000000 -0600
+++ src/sage/functions/piecewise.py	2018-10-16 14:34:26.243150924 -0600
@@ -889,7 +889,7 @@ class PiecewiseFunction(BuiltinFunction)
             return crit_pts
 
         def convolution(self, parameters, variable, other):
-            """
+            r"""
             Return the convolution function,
             `f*g(t)=\int_{-\infty}^\infty f(u)g(t-u)du`, for compactly
             supported `f,g`.
--- src/sage/functions/special.py.orig	2018-08-03 05:10:08.000000000 -0600
+++ src/sage/functions/special.py	2018-10-17 14:21:31.654332885 -0600
@@ -474,7 +474,7 @@ class EllipticE(BuiltinFunction):
             return (elliptic_e(z, m) - elliptic_f(z, m)) / (Integer(2) * m)
 
     def _print_latex_(self, z, m):
-        """
+        r"""
         EXAMPLES::
 
             sage: latex(elliptic_e(pi, x))
@@ -485,7 +485,7 @@ class EllipticE(BuiltinFunction):
 elliptic_e = EllipticE()
 
 class EllipticEC(BuiltinFunction):
-    """
+    r"""
     Return the complete elliptic integral of the second kind:
 
     .. MATH::
@@ -788,7 +788,7 @@ class EllipticF(BuiltinFunction):
                       sqrt(Integer(1) - m * sin(z) ** Integer(2)))))
 
     def _print_latex_(self, z, m):
-        """
+        r"""
         EXAMPLES::
 
             sage: latex(elliptic_f(x,pi))
@@ -1003,7 +1003,7 @@ class EllipticPi(BuiltinFunction):
                      sqrt(Integer(1) - m * sin(z) ** Integer(2)))))
 
     def _print_latex_(self, n, z, m):
-        """
+        r"""
         EXAMPLES::
 
             sage: latex(elliptic_pi(x,pi,0))
--- src/sage/functions/trig.py.orig	2018-08-03 05:10:08.000000000 -0600
+++ src/sage/functions/trig.py	2018-10-17 14:22:17.565740945 -0600
@@ -7,7 +7,7 @@ import math
 
 class Function_sin(GinacFunction):
     def __init__(self):
-        """
+        r"""
         The sine function.
 
         EXAMPLES::
@@ -124,7 +124,7 @@ sin = Function_sin()
 
 class Function_cos(GinacFunction):
     def __init__(self):
-        """
+        r"""
         The cosine function.
 
         EXAMPLES::
@@ -186,7 +186,7 @@ cos = Function_cos()
 
 class Function_tan(GinacFunction):
     def __init__(self):
-        """
+        r"""
         The tangent function.
 
         EXAMPLES::
